[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#681419: tech-ctte help needed: main dependencies on non-free/contrib

Ivo De Decker writes ("Bug#681419: tech-ctte help needed: main dependencies on non-free/contrib"):
> There's also these:
> capi4hylafax: Recommends: 'isdnactivecards' [choice 1: isdnactivecards from contrib]
> deutex: Recommends: 'doom-wad' [choice 1: doom-wad-shareware from non-free]
> rt4-apache2: Recommends: 'libapache2-mod-fastcgi' [choice 1: libapache2-mod-fastcgi from non-free]
> task-serbian: Recommends: 'opendict-plugins-lingvosoft' [choice 1: opendict-plugins-lingvosoft from contrib]
> In all these cases, apt-get installs a package from non-free or contrib when
> installing a package from main with non-free or contrib enabled. I have filed
> bugs for these packages.

Thanks.  I don't know how I missed those.

> > And this:
> >   yagf: Depends: 'cuneiform | tesseract-ocr' [choice 1: cuneiform from non-free]
> > which is also a bug but a less serious one.
> Why is this less serious? When you install yagf (with non-free enabled),
> apt-get installs cuneiform, which is non-free.

It's less serious because the package is installable without non-free
enabled, AFAICT.  (I have only read the output from the script, not
followed up with the Packages files.)


Reply to: